GSP
Quick Navigator

Search Site

Unix VPS
A - Starter
B - Basic
C - Preferred
D - Commercial
MPS - Dedicated
Previous VPSs
* Sign Up! *

Support
Contact Us
Online Help
Handbooks
Domain Status
Man Pages

FAQ
Virtual Servers
Pricing
Billing
Technical

Network
Facilities
Connectivity
Topology Map

Miscellaneous
Server Agreement
Year 2038
Credits
 

USA Flag

 

 

Man Pages


Manual Reference Pages  -  NPM-OUTDATED (1)

NAME

npm-outdated - Check for outdated packages

CONTENTS

Description
Configuration
See Also

SYNOPSIS

npm outdated [<name> [<name> ...]]

DESCRIPTION

This command will check the registry to see if any (or, specific) installed packages are currently outdated.

The resulting field ’wanted’ shows the latest version according to the version specified in the package.json, the field ’latest’ the very latest version of the package.

CONFIGURATION

    json

o Default: false
o Type: Boolean

Show information in JSON format.

    long

o Default: false
o Type: Boolean

Show extended information.

    parseable

o Default: false
o Type: Boolean

Show parseable output instead of tree view.

    global

o Default: false
o Type: Boolean

Check packages in the global install prefix instead of in the current project.

    depth

o Type: Int

Max depth for checking dependency tree.

SEE ALSO

o npm help update
o npm help 7 registry
o npm help 5 folders

Search for    or go to Top of page |  Section 1 |  Main Index


NPM-OUTDATED (1) October 2015

Powered by GSP Visit the GSP FreeBSD Man Page Interface.
Output converted with manServer 1.07.